<nav class="navbar navbar-default navbar-fixed-top">
  <div class="container">
    <!-- Brand and toggle get grouped for better mobile display -->
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1"
        aria-expanded="false">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <a class="navbar-brand" [routerLink]="['/']">Shutters Lab</a>
    </div>

    <!-- Collect the nav links, forms, and other content for toggling -->
    <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">


      <ul class="nav navbar-nav navbar-right">
        <span class="navbar-form navbar-left">
          <!-- <div class="form-group">
                                    <input type="text" class="form-control" placeholder="Search An Event">
                              </div>
                              <button type="submit" class="btn btn-primary">Search </button> -->


          <div class="btn-group" dropdown>
            <button dropdownToggle type="button" class="btn btn-primary dropdown-toggle">
              <i class="fa fa-map-marker" aria-hidden="true"></i>
              <span (ngModel)="data.currentCity">{{data.currentCity}}</span>
              <span class="caret"></span>
            </button>
            <ul *dropdownMenu class="dropdown-menu" role="menu">
              <li role="menuitem" *ngFor="let city of data.cities | async" class="menuItem">
                <!-- <span class="glyphicon glyphicon-triangle-right" aria-hidden="true"></span> -->
                <i class="fa fa-circle" aria-hidden="true"></i>
                <span>
                  <button class="dropdown-item" (click)="data.setCurrentCity(city)">{{city}}</button>
                </span>
              </li>

            </ul>
          </div>


        </span>
        <li>
          <!-- <a [routerLink]="['/create-event']" [queryParams]="{debug: true}" fragment="education">Create Your Event</a> -->
          <a [routerLink]="['/create-event']">Create Your Event</a>
        </li>
        <li *ngIf="!data.isLoggedIn">
          <!-- <a [routerLink]="['/create-event']" [queryParams]="{debug: true}" fragment="education">Create Your Event</a> -->
          <a [routerLink]="['/login']">Login</a>
        </li>
        <li class="dropdown" *ngIf="data.isLoggedIn">
          <a class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">My Account
            <span class="caret"></span>
          </a>
          <ul class="dropdown-menu">
            <li>
              <a [routerLink]="['/my-bookings']">My Bookings</a>
            </li>
            <li>
              <a [routerLink]="['/my-events']">My Events</a>
            </li>
            <li>
              <a [routerLink]="['/favourite-events']">Favourite Events</a>
            </li>
            <li>
              <a [routerLink]="['/edit-profile']">Edit Profile</a>
            </li>

            <li role="separator" class="divider"></li>
            <li>
              <a (click)="data.userSignOut()">Sign Out</a>
            </li>
          </ul>
        </li>
      </ul>
    </div>
    <!-- /.navbar-collapse -->
  </div>
  <!-- /.container-fluid -->
</nav>

<div class="blankDiv"></div>


<router-outlet></router-outlet>

<div class="blankDiv"></div>

<!--footer-->
<footer class="footer1">
  <div class="container">

    <div class="row">
      <!-- row -->

      <div class="col-lg-3 col-md-3">
        <!-- widgets column left -->
        <ul class="list-unstyled clear-margins">
          <!-- widgets -->

          <li class="widget-container widget_nav_menu">
            <!-- widgets list -->

            <h2 class="title-widget">Cities</h2>

            <ul>
              <li>
                <a href="#">
                  <i class="fa fa-angle-double-right"></i> Mumbai</a>
              </li>
              <li>
                <a href="#">
                  <i class="fa fa-angle-double-right"></i> Pune</a>
              </li>
              <li>
                <a href="#">
                  <i class="fa fa-angle-double-right"></i> Nashik</a>
              </li>
              <li>
                <a href="#">
                  <i class="fa fa-angle-double-right"></i> Nagpur</a>
              </li>
            </ul>

          </li>

        </ul>


      </div>
      <!-- widgets column left end -->



      <div class="col-lg-3 col-md-3">
        <!-- widgets column left -->

        <ul class="list-unstyled clear-margins">
          <!-- widgets -->

          <li class="widget-container widget_nav_menu">
            <!-- widgets list -->

            <h2 class="title-widget">Event Categories</h2>

            <ul>
              <li *ngFor="let category of data.eventCategories">
                <a href="#">
                  <i class="fa fa-angle-double-right"></i> {{category.name}}</a>
                <br>
              </li>

            </ul>

          </li>

        </ul>


      </div>
      <!-- widgets column left end -->



      <div class="col-lg-3 col-md-3">
        <!-- widgets column left -->

        <ul class="list-unstyled clear-margins">
          <!-- widgets -->

          <li class="widget-container widget_nav_menu">
            <!-- widgets list -->

            <h2 class="title-widget">Recent Events</h2>

            <ul>
              <li>
                <a href="#">
                  <i class="fa fa-angle-double-right"></i> Plasma Touch</a>
              </li>

            </ul>

          </li>

        </ul>


      </div>
      <!-- widgets column left end -->


      <div class="col-lg-3 col-md-3">
        <!-- widgets column center -->



        <ul class="list-unstyled clear-margins">
          <!-- widgets -->

          <li class="widget-container widget_recent_news">
            <!-- widgets list -->

            <h2 class="title-widget">Contact Detail </h2>

            <div class="footerp">

              <h3 class="title-median">Shutters Lab</h3>
              <p>
                <b>Email id:</b>
                <a href="mailto:info@webenlance.com">info@shutterslab.com</a>
              </p>
              <p>
                <b>Helpline Numbers </b>

                <b style="color:#666;">
                  <br>(8AM to 10PM):</b>
                <br> +91-8097200240, +91-7021206306 </p>

              <p>
                <b>Corp Office / Postal Address</b>
              </p>
              <p>
                2-1 A Wing Shantivan Sector 16A Vashi
              </p>
            </div>

            <div class="social-icons">

              <ul class="nomargin">

                <a href="https://www.facebook.com/">
                  <i class="fa fa-facebook-square fa-2x social-fb" id="social"></i>
                </a>
                <a href="https://twitter.com/">
                  <i class="fa fa-twitter-square fa-2x social-tw" id="social"></i>
                </a>
                <a href="https://plus.google.com/">
                  <i class="fa fa-google-plus-square fa-2x social-gp" id="social"></i>
                </a>
                <a href="mailto:akashs25@gmail.com">
                  <i class="fa fa-envelope-square fa-2x social-em" id="social"></i>
                </a>

              </ul>
            </div>
          </li>
        </ul>
      </div>
    </div>
  </div>
</footer>
<!--header-->

<div class="footer-bottom">

  <div class="container">

    <div class="row">

      <div class="col-xs-12 col-sm-6 col-md-6 col-lg-6">

        <div class="copyright">

          © 2018, Shutterslab, All rights reserved

        </div>

      </div>

    </div>

  </div>

</div>